import request from '@/utils/request'

// 获取产品节点列表
export function productNodeList (params) {
    return request({
        url: '/system/product/node/list',
        method: 'get',
        params
    })
}

/**
 * 查询产品节点详细
 * @param { Object } params 
 */

export function productNodeInfo (nodeId) {
    return request({
        url: '/system/product/node/' + nodeId,
        method: 'get'
    })
}

export function productNodeSelect (params) {
    return request({
        url: '/system/product/node/select',
        method: 'get',
        params
    })
}

// 新增节点
export function productNodeAdd (data) {
    return request({
        url: '/system/product/node/save',
        method: 'post',
        data
    })
}

// 删除节点
export function productNodeDel (ids) {
    return request({
        url: '/system/product/node/' + ids,
        method: 'delete'
    })
}
